summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-04-08 00:46:22 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-04-08 00:46:22 +0000
commit269164b94015f3017bc5c95f51cf8965767210c1 (patch)
treedd4704863a44672eac47cb363c84fb2e5160e23e /eclass
parentAdd patch to ltconfig for the Gentoo/FreeBSD libraries naming scheme. (diff)
downloadgentoo-2-269164b94015f3017bc5c95f51cf8965767210c1.tar.gz
gentoo-2-269164b94015f3017bc5c95f51cf8965767210c1.tar.bz2
gentoo-2-269164b94015f3017bc5c95f51cf8965767210c1.zip
Add code to support applying fbsd-ltconf patch for older libtools.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/libtool.eclass10
1 files changed, 8 insertions, 2 deletions
diff --git a/eclass/libtool.eclass b/eclass/libtool.eclass
index d40c7bd7abb2..cafbcd6b491f 100644
--- a/eclass/libtool.eclass
+++ b/eclass/libtool.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/libtool.eclass,v 1.67 2006/04/05 17:50:34 azarah Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/libtool.eclass,v 1.68 2006/04/08 00:46:22 flameeyes Exp $
#
# Author: Martin Schlemmer <azarah@gentoo.org>
#
@@ -178,7 +178,7 @@ elibtoolize() {
elt_patches="${elt_patches} uclibc-conf uclibc-ltconf"
[[ ${CHOST} == *"-freebsd"* ]] && \
- elt_patches="${elt_patches} fbsd-conf"
+ elt_patches="${elt_patches} fbsd-conf fbsd-ltconf"
if useq ppc-macos ; then
local opts
@@ -258,6 +258,12 @@ elibtoolize() {
ret=$?
fi
;;
+ "fbsd-ltconf")
+ if [[ -s ${x}/ltconfig ]] ; then
+ ELT_walk_patches "${x}/ltconfig" "${y}"
+ ret=$?
+ fi
+ ;;
"darwin-ltconf")
# Newer libtoolize clears ltconfig, as not used anymore
if [[ -s ${x}/ltconfig ]] ; then